Skip to main content

Atrium API

Connect Widget URL

Request a Connect Widget URL for the specified user.

Each URL contains an embedded token that expires after ten minutes or when used, whichever comes first. A fresh URL must be obtained each time a page is loaded or reloaded.

POST
/users/{user_guid}/connect_widget_url

Request sample

Language:sh

_10
curl -i -X POST 'https://vestibule.mx.com/users/{user_guid}/connect_widget_url' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'
_10
-d '{
_10
"color_scheme": "dark",
_10
"mode": "verification"
_10
}'

Response sample

200
Language:json

_10
{
_10
"user": {
_10
"connect_widget_url": "https://int-widgets.moneydesktop.com/md/connect/jb1rA14m85tw2lyvpgfx4gc6d3Z8z8Ayb8",
_10
"guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_10
}
_10
}